Results 1 to 9 of 9

Thread: GRX-CI-NWK-E Update?

  1. #1
    Junior Member
    Join Date
    Oct 2015
    Posts
    4

    Question GRX-CI-NWK-E Update?

    Hello,

    I have a GRX-CI-NWK-E which is a few years old, and a new Grafik Eye QS. My integration is working fine, but I would like to use a "Scene Save" command (eg #DEVICE,<INT_ID>,141,12,<SCENE_NUM>) which was introduced in Protocol Rev O. I am pretty sure my NWK is older than Rev O which is why this doesn't work.

    Is there an update available?

    Thank you!

  2. #2
    Junior Member
    Join Date
    Oct 2015
    Posts
    4
    Sorry, wrong model number! It is a QSE-CI-NWK-E

  3. #3
    Super Moderator
    Join Date
    May 2013
    Posts
    398
    Quote Originally Posted by hussein View Post
    Hello,

    I have a GRX-CI-NWK-E which is a few years old, and a new Grafik Eye QS. My integration is working fine, but I would like to use a "Scene Save" command (eg #DEVICE,<INT_ID>,141,12,<SCENE_NUM>) which was introduced in Protocol Rev O. I am pretty sure my NWK is older than Rev O which is why this doesn't work.

    Is there an update available?

    Thank you!
    hussein,

    Unfortunately, the QSE-CI-NWK-E does not have an update tool available. Can you tell us what firmware version the NWK is using? If you send the command "?details, all_devices" you will see the NWK report with it's firmware information.

  4. #4
    Junior Member
    Join Date
    Oct 2015
    Posts
    3
    Hello!

    I have some trouble:
    HomeWorks QS 9.3 try update device, but my QSE-CI-NWK-E could not enter in update mode
    Quote Quote
    Serial #: 00220**9
    OS Rev: 5.3
    Boot Rev: 2.4
    Family: 6
    Product: 1
    Hardware: 0
    Custom: 1
    It's version not accept INTEGRATIONID :'(

    Please tell - how to put device in programming mode (DIP switches?) or boot mode?

  5. #5
    Junior Member
    Join Date
    Oct 2015
    Posts
    3
    Kevin:
    Quote Quote
    Unfortunately, the QSE-CI-NWK-E is not field updateable. The QSE-CI-NWK-E also cannot be firmware upgraded using the HomeWorks QS software.

    The DIP switches on the NWK are for setting the baud rates / connection properties. They cannot be used to put the device into boot mode or programming. Attached are the NWK installation guide and phantom button user guide.

    Some of the options are not available because of the device older firmware. If you need some of those options then the module will need to be replaced for a newer module.
    http://www.lutron.com/TechnicalDocum...ary/040242.pdf
    http://www.lutron.com/TechnicalDocum...er%20Guide.pdf

  6. #6
    Junior Member
    Join Date
    Oct 2015
    Posts
    4

    Thumbs up

    Oh man, that is sad! In this case Lutron should have the protocol version labelled on the device itself. I needed a QSE-CI-NWK-E from my supplier who sold me one which was probably old stock and now I have burned hours on a feature which it cannot support with this software version. My supplier is saying "you wanted a QSE-CI-NWK-E, that is what I gave you - the integration is up to you". This is completely unacceptable!

    FYI, my issue is the following:

    QSE>?DETAILS,ALL_DEVICES
    ~DETAILS,SN:0x00312286,INTEGRATIONID:interface,FAM ILY:CONTROL_INTERFACE(6),PRODUCT:QSE(1),CODE:8.21, BOOT:2.9,HW:1.0
    ~DETAILS,SN:0x0112c14b,INTEGRATIONID:grafik1,FAMIL Y:GRAFIK_EYE(2),PRODUCT:QSG(1),CODE:8.27,BOOT:4.2, HW:5.1
    QSE>#DEVICE,grafik1,141,7,2
    QSE>#DEVICE,grafik1,141,12,2
    ~Error,4
    QSE>

  7. Likes wkearney99, Arsen liked this post
  8. #7
    Junior Member
    Join Date
    Oct 2015
    Posts
    4

    Arrow

    Quote Originally Posted by hussein View Post
    Oh man, that is sad! In this case Lutron should have the protocol version labelled on the device itself. I needed a QSE-CI-NWK-E from my supplier who sold me one which was probably old stock and now I have burned hours on a feature which it cannot support with this software version. My supplier is saying "you wanted a QSE-CI-NWK-E, that is what I gave you - the integration is up to you". This is completely unacceptable!

    FYI, my issue is the following:

    QSE>?DETAILS,ALL_DEVICES
    ~DETAILS,SN:0x00312286,INTEGRATIONID:interface,FAM ILY:CONTROL_INTERFACE(6),PRODUCT:QSE(1),CODE:8.21, BOOT:2.9,HW:1.0
    ~DETAILS,SN:0x0112c14b,INTEGRATIONID:grafik1,FAMIL Y:GRAFIK_EYE(2),PRODUCT:QSG(1),CODE:8.27,BOOT:4.2, HW:5.1
    QSE>#DEVICE,grafik1,141,7,2
    QSE>#DEVICE,grafik1,141,12,2
    ~Error,4
    QSE>
    I have just taken delivery of a new sealed QSE-CI-NWK-E which has a label on it which also says '8.21'. Does 8.21 support the latest protocol P? In which case, maybe I am just doing something wrong...

    Thanks

  9. #8
    Super Moderator
    Join Date
    May 2013
    Posts
    398
    Quote Originally Posted by hussein View Post
    I have just taken delivery of a new sealed QSE-CI-NWK-E which has a label on it which also says '8.21'. Does 8.21 support the latest protocol P? In which case, maybe I am just doing something wrong...

    Thanks
    Dear hussein,

    Thank you for the information.

    Version 8.21 does support the latest protocol. We did mock up your setup and were not able to reproduce an issue. The commands worked exactly as expected.

    ~Error,4 is reported as "Parameter data out of range" as listed in the LIP (Lutron Integration Protocol). Do you constantly receive the same error when trying this command? Extra information might be added to the string being sent that is possibly causing this error.

  10. #9
    I have the same problem. Any ideas?

    QSE>?details,all_devices


    ~DETAILS,SN:0x0031144e,INTEGRATIONID:NWKE,FAMILY:C ONTROL_INTERFACE(6),PRODUCT:QSE(1),CODE:8.21,BOOT: 2.9,HW:1.0


    ~DETAILS,SN:0x00bd3614,INTEGRATIONID:PDR1,FAMILY:G RAFIK_EYE(2),PRODUCT:QSG(1),CODE:5.70,BOOT:4.1,HW: 3.1


    ~DETAILS,SN:0x00bd36bb,INTEGRATIONID:PDR2,FAMILY:G RAFIK_EYE(2),PRODUCT:QSG(1),CODE:5.70,BOOT:4.1,HW: 2.1


    QSE>#device,pdr2,141,12,1


    ~Error,4

Similar Threads

  1. MI Failed to update
    By mcignarella in forum Troubleshooting - HWQS
    Replies: 3
    Last Post: 05-22-2014, 06:01 PM
  2. HWQS update?
    By digit1 in forum General Discussion - HWQS
    Replies: 2
    Last Post: 04-10-2014, 08:43 AM
  3. Update Processor Firmware, Necessary or Not ?
    By stevi in forum General Discussion - HWQS
    Replies: 1
    Last Post: 11-12-2013, 04:08 PM
  4. Firmware Update
    By suprun in forum Programming - RA2
    Replies: 1
    Last Post: 11-11-2013, 09:58 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •